<?php
/*
    Tomar una fotografía y guardarla en un archivo
    @date 2017-11-22
    @author parzibyte
    @web parzibyte.me/blog
*/
require_once("Connections/conex.php");
$conex = new ConexionBD();


$imagenCodificada = file_get_contents("php://input"); //Obtener la imagen
$captura_dominio = $_POST["capturadominio"];

if(strlen($imagenCodificada) <= 0) exit("No se recibió ninguna imagen");
//La imagen traerá al inicio data:image/png;base64, cosa que debemos remover
$imagenCodificadaLimpia = str_replace("data:image/png;base64,", "", urldecode($imagenCodificada));

//Venía en base64 pero sólo la codificamos así para que viajara por la red, ahora la decodificamos y
//todo el contenido lo guardamos en un archivo
$imagenDecodificada = base64_decode($imagenCodificadaLimpia);

//Calcular un nombre único
$nombreImagenGuardada = "foto_" . $captura_dominio . "_" . uniqid() . ".png";

//Escribir el archivo
file_put_contents($nombreImagenGuardada, $imagenDecodificada);

if ($captura_dominio != "") { // dando alta
	$conex->Update("insert into captura set captura_dominio='".$captura_dominio."', captura_fechacap=curdate(), captura_horacap=curtime(), captura_estado='PENDIENTE', captura_imagen='".$nombreImagenGuardada."'");
}

//Terminar y regresar el nombre de la foto
exit($nombreImagenGuardada);
?>